.modal {
    padding: rem(60) rem(30) rem(30) rem(30);
    position: relative;
    border-radius: rem(10);
    box-shadow: 0px 0px 20px rgba(51, 51, 51, 0.1);

    &__close {
        top: rem(15);
        right: rem(15);
        z-index: 100;
        position: absolute;
    }

    &__wrap {}

    &__title {
        font-weight: 600;
        font-size: rem(24);
        line-height: rem(29);
        text-align: center;
        margin-bottom: rem(24);
    }

    &__form {
        max-width: rem(325);
        margin: 0 auto rem(24) auto;
    }

    &__footer {
        text-align: center;
    }

    &__text {
        font-weight: 600;
        font-size: rem(16);
        line-height: rem(20);
        margin-bottom: rem(10);
    }

    &__phone {
        color: $black;
        font-weight: 600;
        font-size: rem(24);
        line-height: rem(29);
        white-space: nowrap;
        text-decoration: none;
        display: inline-flex;
        align-items: center;
        justify-content: center;

        &:hover {
            color: $black;
            text-decoration: none;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(20);
            margin-right: rem(8);
            display: inline-block;
        }
    }

    @include media-breakpoint-up(md) {
        width: rem(674);
        padding-bottom: rem(54);
    }
}

.btn-close {
    margin: 0;
    padding: 0;
    cursor: pointer;
    outline: none;
    display: block;
    width: rem(30);
    height: rem(30);
    border-radius: 50%;
    position: relative;
    background: transparent;
    border: 1px solid #494949 ;

    &:after,
    &:before {
        z-index: 10;
        top: 50%;
        left: calc(50% - 8px);
        content: '';
        width: 16px;
        height: 1px;
        position: absolute;
        background: #494949;
    }

    &:after {
        transform: rotate(45deg);
    }

    &:before {
        transform: rotate(-45deg);
    }
}

.stories {
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    width: 100%;
    max-width: rem(375);
    position: relative;
    background: transparent;

    &__close {
        top: rem(20);
        right: rem(16);
        margin: 0;
        padding: 0;
        z-index: 200;
        width: rem(24);
        height: rem(24);
        border: none;
        outline: none !important;
        cursor: pointer;
        position: absolute;
        background: transparent;

        &:after,
        &:before {
            z-index: 10;
            top: calc(50% - 1px);
            left: calc(50% - 12px);
            content: '';
            width: 24px;
            height: 2px;
            position: absolute;
            background: $white;
        }

        &:after {
            transform: rotate(-45deg);
        }

        &:before {
            transform: rotate(45deg);
        }
    }

    .swiper {
        opacity: 0;
    }

    .swiper-initialized {
        opacity: 1;
    }

    .swiper-pagination {
        left: rem(36);
        right: rem(36);
        bottom: rem(20);
        font-size: 0;
        line-height: 0;
        z-index: 200;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .swiper-pagination-bullet {
        height: rem(4);
        flex-grow: 1;
        margin: 0 rem(2);
        display: block;
        border-radius: rem(8);
        background: $white;
        position: relative;
    }

    .swiper-pagination-bullet-active {
        background: $blue;
    }

    @include media-breakpoint-up(md) {
        max-width: inherit;
        width: rem(546);

        &__close {
            top: rem(-40);
            right: rem(-40);
            width: rem(32);
            height: rem(32);

            &:after,
            &:before {
                top: calc(50% - 1px);
                left: calc(50% - 15px);
                width: 30px;
            }
        }

        .swiper-pagination {
            bottom: rem(26);
            left: rem(60);
            right: rem(60);
        }
    }
}

.story {
    width: 100%;
    max-width: rem(375);
    height: rem(560);
    color: $white;
    position: relative;
    font-size: rem(18);
    line-height: rem(24);
    padding: rem(65) rem(52);
    border-radius: rem(20);

    &__content {
        z-index: 20;
        position: relative;
    }

    &__title {
        font-weight: 700;
        font-size: rem(24);
        line-height: rem(30);
        margin-bottom: rem(10);
    }

    &__text {
        max-width: rem(240);
    }

    &__media {
        z-index: 1;
        position: absolute;
    }

    &--pay {
        padding-bottom: rem(88);
        background: linear-gradient(347.3deg, #0074DF -6.06%, #12ABE9 84.4%);

        .story__media {
            left: rem(40);
            bottom: rem(40);
            width: rem(452);
        }
    }

    &--fire {
        padding-top: rem(40);
        background: #4C29B0;

        .story {

            &__title {
                font-size: rem(36);
                line-height: rem(48);
            }

            &__media {
                bottom: rem(20);
                left: calc(50% - 11.25rem);
                width: rem(360);
            }
        }
    }

    &--hit {
        background: linear-gradient(347.3deg, #E02B2B -6.06%, #F5A834 84.4%);

        .story {

            &__title {
                font-size: rem(40);
                line-height: rem(50);
            }

            &__media {
                left: calc(50% - 12.5rem);
                bottom: rem(80);
                width: rem(400);
            }
        }
    }

    &__content {

    }

    @include media-breakpoint-up(md) {
        max-width: inherit;
        width: rem(546);
        height: rem(820);
        font-size: rem(24);
        line-height: rem(36);

        &__title {
            font-weight: 700;
            font-size: rem(42);
            line-height: rem(50);
            margin-bottom: rem(10);
        }

        &__text {
            max-width: rem(400);
        }

        &--pay {

            .story__media {
                bottom: rem(60);
                width: rem(880);
            }
        }

        &--fire {
            padding-top: rem(70);
            background: #4C29B0;

            .story {

                &__title {
                    font-size: rem(60);
                    line-height: rem(70);
                }

                &__media {
                    bottom: rem(20);
                    left: calc(50% - 16.25rem);
                    width: rem(520);
                }
            }
        }

        &--hit {

            .story {

                &__title {
                    font-size: rem(60);
                    line-height: rem(70);
                }

                &__media {
                    left: calc(50% - 18.75rem);
                    bottom: rem(80);
                    width: rem(600);
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {}
    @include media-breakpoint-up(xl) {}
}


.success {
    color: $blue;
    max-width: rem(400);
    text-align: center;
    background: $white;

    &__icon {
        display: block;
        width: rem(48);
        height: rem(48);
        margin: 0 auto rem(18) auto;
        stroke: $blue;
    }

    &__title {
        font-weight: 500;
        font-size: rem(24);
        line-height: rem(32);
        margin-bottom: rem(12);
    }

    &__text {
        font-size: rem(18);
        line-height: rem(22);
    }

    @include media-breakpoint-up(xl) {
        max-width: rem(500);
        padding-top: rem(60);
        padding-bottom: rem(60);
    }
}
